=== tests/Makefile ===
all:

test:
	rake cucumber
