=== debian/changelog ===
dnscrypt-wrapper (0.2.2) stable; urgency=medium

  * Initial packaging effort

 -- Andrey Korolyov <andrey@xdel.ru>  Tue, 13 Sep 2016 20:22:12 +0300
